Index: branches/2.0-beta1/src/DBITEPlayerLib/DbtPlyEngine.cpp
===================================================================
--- branches/2.0-beta1/src/DBITEPlayerLib/DbtPlyEngine.cpp	(revision 89)
+++ branches/2.0-beta1/src/DBITEPlayerLib/DbtPlyEngine.cpp	(revision 152)
@@ -23,11 +23,11 @@
 DECLARE_STATIC_LOGGER("pacpus.core.DbtPlyEngine");
 
-static const string kPropertyDataDirectory = "datadir";
-
-static const string kPropertyLoggerConfiguration = "log-config-file";
-
-static const string kPropertyReplayMode = "replay_mode";
-static const string kPropertyReplayModeLastData = "1";
-static const string kPropertyReplayModeAllData = "2";
+static const char * kPropertyDataDirectory = "datadir";
+
+static const char *  kPropertyLoggerConfiguration = "log-config-file";
+
+static const char *  kPropertyReplayMode = "replay_mode";
+static const char *  kPropertyReplayModeLastData = "1";
+static const char *  kPropertyReplayModeAllData = "2";
 
 typedef float SpeedType;
@@ -63,4 +63,14 @@
 }
 
+void DbtPlyEngine::addInputs()
+{
+    // empty: no inputs
+}
+
+void DbtPlyEngine::addOutputs()
+{
+    // empty: no outputs
+}
+
 ////////////////////////////////////////////////////////////////////////////////
 /// Returns the directory where the data are stored.
@@ -103,5 +113,5 @@
     int i = 0;
 
-    while (THREAD_ALIVE) {
+    while (isActive()) {
         tNow_ = road_time();
         float elapsedTime = tNow_ - lastTNow_;
@@ -145,12 +155,12 @@
 /// Configuration method of the engine
 /// called automatically by the component manager
-ComponentBase::COMPONENT_CONFIGURATION DbtPlyEngine::configureComponent(XmlComponentConfig /*config*/)
+ComponentBase::COMPONENT_CONFIGURATION DbtPlyEngine::configureComponent(XmlComponentConfig config)
 {
     // datadir
-    dataDir_ = param.getProperty(kPropertyDataDirectory.c_str());
-    LOG_INFO("property " << kPropertyDataDirectory.c_str() << "=\""
+    dataDir_ = config.getProperty(kPropertyDataDirectory);
+    LOG_INFO("property " << kPropertyDataDirectory << "=\""
              << dataDir_ << "\"");
     if (dataDir_.isNull()) {
-        LOG_FATAL("The data directory '" << componentName << "' is invalid or unavailable!");
+        LOG_FATAL("The data directory '" << name() << "' is invalid or unavailable!");
     }
 
@@ -162,6 +172,6 @@
     ////////////////////////////////////////////////////////////////////////////////
     // logger configuration
-    QString loggerConfig = param.getProperty(kPropertyLoggerConfiguration.c_str());
-    LOG_INFO("property " << kPropertyLoggerConfiguration.c_str() << "=\""
+    QString loggerConfig = config.getProperty(kPropertyLoggerConfiguration);
+    LOG_INFO("property " << kPropertyLoggerConfiguration << "=\""
              << loggerConfig << "\"");
     if (!loggerConfig.isNull()) {
@@ -172,9 +182,9 @@
     ////////////////////////////////////////////////////////////////////////////////
     // Replay Mode
-    QString replayModeValue = param.getProperty(kPropertyReplayMode.c_str());
-    LOG_INFO("property " << kPropertyReplayMode.c_str() << "=\""
+    QString replayModeValue = config.getProperty(kPropertyReplayMode);
+    LOG_INFO("property " << kPropertyReplayMode << "=\""
              << replayModeValue << "\"");
     if (replayModeValue.isNull()) {
-        LOG_INFO("property " << kPropertyReplayMode.c_str() << " unset."
+        LOG_INFO("property " << kPropertyReplayMode << " unset."
                  << " Set to default = 1.");
         replayMode_ = PlayModeLastData;
@@ -185,5 +195,5 @@
             replayMode_ = PlayModeAllData;
         } else {
-            LOG_WARN("unknown " << kPropertyReplayMode.c_str() << " '" << replayModeValue << "'."
+            LOG_WARN("unknown " << kPropertyReplayMode << " '" << replayModeValue << "'."
                      << " Set to default = 1.");
             replayMode_ = PlayModeLastData;
@@ -200,5 +210,5 @@
     LOG_INFO("Starting...");
 
-    THREAD_ALIVE = true;
+    setActive(true);
     start();
 }
@@ -210,5 +220,5 @@
     LOG_TRACE("stopping activity...");
 
-    THREAD_ALIVE = false;
+    setActive(false);
 }
 
